from __future__ import with_statement
import playerlib
import es
from os.path import isfile

def readlines(fp):
    checkfile(fp,"//\n// To put comments in the file add // to the beginning of the line.\n//")
    lines = readfile(fp)
    lins = []
    for line in lines:
        if not line.startswith("//"):
            lins.append(line)
    return lins

def readfile(fp):
    with open(fp,"r") as fo:
        return fo.readlines()

def checkfile(fp,text):
    if not isfile(fp):
        with open(fp,"w") as fo:
            fo.writelines(text)

def damage(userid,victim,damage):
    index = playerlib.getPlayer(victim).index
    entity = es.createentity("point_hurt")
    es.entitysetvalue(entity,"targetname","ex_damage")
    es.entitysetvalue(entity,"damage",damage)
    es.entitysetvalue(entity,"damagetype",32)
    oldname = str(es.entitygetvalue(index,"targetname"))
    es.entitysetvalue(index,"targetname","ex_hurter")
    es.entitysetvalue(entity,"damagetarget","ex_hurter")
    es.fire(userid,"ex_damage","hurt")
    es.fire(userid,"ex_damage","kill")
    es.fire(victim,"!self","addoutput","targetname " + oldname)
